# $Revision: 1.3 $, $Date: 2004/05/01 00:31:59 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	String
%define	pnam	Divert
Summary:	String::Divert - string object supporting folding and diversions
Summary(pl):	String::Divert - obiekt acucha obsugujcy zwijanie i przekierowania
Name:		perl-String-Divert
Version:	0.93
Release:	1
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	af85944c53c39ce3585a100a91a4bbda
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
String::Divert is small Perl 5 module providing a scalar-like string
object with some overloaded operators, supporting the concept of
"Folding" and "Diversion". This allows nested generation of structured
output. The idea is to decouple the sequential generation of output from
the nested and non-sequential structure of the output.

%description -l pl
String::Divert to may modu Perla 5 udostpniajcy podobny do skalara
obiekt acucha z paroma przecionymi operatorami, obsugujcy ide
"zwijania" i "przekierowywania". Pozwala to na zagniedone
generowanie strukturalnego wyjcia. Idea polega na wyczeniu
sekwencyjnego generowania wyjcia z zagniedonej, niesekwencyjnej
struktury wyjcia.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO
%{perl_vendorlib}/String/Divert.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-String-Divert.spec,v $
Revision 1.3  2004/05/01 00:31:59  ankry
- license fixed, cosmetics

Revision 1.2  2004/04/15 20:30:24  ankry
- cosmetics, unification

Revision 1.1  2003/12/18 15:39:02  qboosh
- new

